Bug 255958 - KMail Crash
Summary: KMail Crash
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-03 11:50 UTC by ranis
Modified: 2017-01-07 22:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ranis 2010-11-03 11:50:47 UTC
Application: kontact (4.4.7)
KDE Platform Version: 4.5.2 (KDE 4.5.2) "release 10"
Qt Version: 4.6.3
Operating System: Linux 2.6.34.7-0.5-default i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
Bei Anwendung von Filtern auf mehrere gruppierte Mails mit unterschiedlichem Datum

The crash can be reproduced some of the time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
[KCrash Handler]
#7  KMMainWidget::destruct (this=0x6f0072) at /usr/src/debug/kdepim-4.4.7/kmail/kmmainwidget.cpp:295
#8  0xaebf2a9b in KMailPart::~KMailPart (this=0x8a98890, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /usr/src/debug/kdepim-4.4.7/kmail/kmail_part.cpp:142
#9  0xaebf2be2 in KMailPart::~KMailPart (this=0x8a98890, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /usr/src/debug/kdepim-4.4.7/kmail/kmail_part.cpp:146
#10 0xb6c52d64 in QObjectPrivate::deleteChildren (this=0x8075c10) at kernel/qobject.cpp:1986
#11 0xb61f2de0 in QWidget::~QWidget (this=0x8075b28, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1476
#12 0xb66033ef in QMainWindow::~QMainWindow (this=0x8075b28, __in_chrg=<value optimized out>) at widgets/qmainwindow.cpp:328
#13 0xb71dfbc1 in KMainWindow::~KMainWindow (this=0x8075b28, __in_chrg=<value optimized out>) at /usr/src/debug/kdelibs-4.5.2/kdeui/widgets/kmainwindow.cpp:467
#14 0xb71dfd8c in KXmlGuiWindow::~KXmlGuiWindow (this=0x8075b28, __vtt_parm=0xb7749f4c, __in_chrg=<value optimized out>) at /usr/src/debug/kdelibs-4.5.2/kdeui/xmlgui/kxmlguiwindow.cpp:124
#15 0xb5dc77d9 in KParts::MainWindow::~MainWindow (this=0x8075b28, __vtt_parm=0xb7749f48, __in_chrg=<value optimized out>) at /usr/src/debug/kdelibs-4.5.2/kparts/mainwindow.cpp:74
#16 0xb75b34d4 in KontactInterface::Core::~Core (this=0x8075b28, __vtt_parm=0xb7749f44, __in_chrg=<value optimized out>) at /usr/src/debug/kdepimlibs-4.5.2/kontactinterface/core.cpp:65
#17 0xb77358d6 in Kontact::MainWindow::~MainWindow (this=0x8075b28, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /usr/src/debug/kdepim-4.4.7/kontact/src/mainwindow.cpp:233
#18 0xb77359d2 in Kontact::MainWindow::~MainWindow (this=0x8075b28, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /usr/src/debug/kdepim-4.4.7/kontact/src/mainwindow.cpp:260
#19 0xb6c52483 in qDeleteInEventHandler (o=0x8075b28) at kernel/qobject.cpp:4001
#20 0xb6c53968 in QObject::event (this=0x8075b28, e=0x919ed98) at kernel/qobject.cpp:1231
#21 0xb61eeacc in QWidget::event (this=0x8075b28, event=0x919ed98) at kernel/qwidget.cpp:8501
#22 0xb660520c in QMainWindow::event (this=0x8075b28, event=0x919ed98) at widgets/qmainwindow.cpp:1414
#23 0xb71b3a74 in KMainWindow::event (this=0x8075b28, ev=0x919ed98) at /usr/src/debug/kdelibs-4.5.2/kdeui/widgets/kmainwindow.cpp:1100
#24 0xb71b3d12 in KXmlGuiWindow::event (this=0x8075b28, ev=0x919ed98) at /usr/src/debug/kdelibs-4.5.2/kdeui/xmlgui/kxmlguiwindow.cpp:132
#25 0xb6195c64 in QApplicationPrivate::notify_helper (this=0x8076dc0, receiver=0x8075b28, e=0x919ed98) at kernel/qapplication.cpp:4302
#26 0xb619dca4 in QApplication::notify (this=0x8075b28, receiver=0x8075b28, e=0x919ed98) at kernel/qapplication.cpp:4267
#27 0xb7124941 in KApplication::notify (this=0xbfd068f4, receiver=0x8075b28, event=0x919ed98) at /usr/src/debug/kdelibs-4.5.2/kdeui/kernel/kapplication.cpp:310
#28 0xb6c40e0e in QCoreApplication::notifyInternal (this=0xbfd068f4, receiver=0x8075b28, event=0x919ed98) at kernel/qcoreapplication.cpp:726
#29 0xb6c449b4 in sendEvent (receiver=0x0, event_type=0, data=0x8053380) at kernel/qcoreapplication.h:215
#30 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8053380) at kernel/qcoreapplication.cpp:1367
#31 0xb6c44b9c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1260
#32 0xb6c6c83d in sendPostedEvents (s=0x807c510) at kernel/qcoreapplication.h:220
#33 postEventSourceDispatch (s=0x807c510) at kernel/qeventdispatcher_glib.cpp:276
#34 0xb400bb49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#35 0xb400c350 in ?? () from /usr/lib/libglib-2.0.so.0
#36 0xb400c60e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#37 0xb6c6cd4b in QEventDispatcherGlib::processEvents (this=0x8056b50, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#38 0xb624619a in QGuiEventDispatcherGlib::processEvents (this=0x8056b50, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#39 0xb6c4011d in QEventLoop::processEvents (this=0xbfd04910, flags=...) at kernel/qeventloop.cpp:149
#40 0xb6c40319 in QEventLoop::exec (this=0xbfd04910, flags=...) at kernel/qeventloop.cpp:201
#41 0xb71be56c in KWallet::Wallet::openWallet (name=..., w=165675041, ot=KWallet::Wallet::Synchronous) at /usr/src/debug/kdelibs-4.5.2/kdeui/util/kwallet.cpp:268
#42 0xaea9e3ad in MailTransport::TransportManager::wallet (this=0x871da18) at /usr/src/debug/kdepimlibs-4.5.2/mailtransport/transportmanager.cpp:602
#43 0xaea9e88d in MailTransport::Transport::readPassword (this=0x8ed6cc8) at /usr/src/debug/kdepimlibs-4.5.2/mailtransport/transport.cpp:305
#44 0xaea9f726 in MailTransport::Transport::qt_metacall (this=0x8ed6cc8, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfd04b5c)
    at /usr/src/debug/kdepimlibs-4.5.2/build/mailtransport/transport.moc:72
#45 0xb6c46efd in QMetaObject::metacall (object=0x8ed6cc8, cl=QMetaObject::InvokeMetaMethod, idx=5, argv=0xbfd04b5c) at kernel/qmetaobject.cpp:237
#46 0xb6c55fe8 in QMetaObject::activate (sender=0x8684e60, m=0xb6d5c188, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3295
#47 0xb6c5b9d5 in QSingleShotTimer::timeout (this=0x8684e60) at .moc/release-shared/qtimer.moc:82
#48 0xb6c5ba8c in QSingleShotTimer::timerEvent (this=0x8684e60) at kernel/qtimer.cpp:308
#49 0xb6c53774 in QObject::event (this=0x8684e60, e=0xbfd05090) at kernel/qobject.cpp:1212
#50 0xb6195c64 in QApplicationPrivate::notify_helper (this=0x8076dc0, receiver=0x8684e60, e=0xbfd05090) at kernel/qapplication.cpp:4302
#51 0xb619dbf7 in QApplication::notify (this=0xbfd068f4, receiver=0x8684e60, e=0xbfd05090) at kernel/qapplication.cpp:3706
#52 0xb7124941 in KApplication::notify (this=0xbfd068f4, receiver=0x8684e60, event=0xbfd05090) at /usr/src/debug/kdelibs-4.5.2/kdeui/kernel/kapplication.cpp:310
#53 0xb6c40e0e in QCoreApplication::notifyInternal (this=0xbfd068f4, receiver=0x8684e60, event=0xbfd05090) at kernel/qcoreapplication.cpp:726
#54 0xb6c6f70e in sendEvent (this=0x8083234) at kernel/qcoreapplication.h:215
#55 QTimerInfoList::activateTimers (this=0x8083234) at kernel/qeventdispatcher_unix.cpp:618
#56 0xb6c6c642 in timerSourceDispatch (source=0x8083200) at kernel/qeventdispatcher_glib.cpp:184
#57 0xb400bb49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#58 0xb400c350 in ?? () from /usr/lib/libglib-2.0.so.0
#59 0xb400c60e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#60 0xb6c6cd4b in QEventDispatcherGlib::processEvents (this=0x8056b50, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#61 0xb624619a in QGuiEventDispatcherGlib::processEvents (this=0x8056b50, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#62 0xb6c4011d in QEventLoop::processEvents (this=0xbfd05440, flags=...) at kernel/qeventloop.cpp:149
#63 0xb6c40319 in QEventLoop::exec (this=0xbfd05440, flags=...) at kernel/qeventloop.cpp:201
#64 0xb71be56c in KWallet::Wallet::openWallet (name=..., w=165675041, ot=KWallet::Wallet::Synchronous) at /usr/src/debug/kdelibs-4.5.2/kdeui/util/kwallet.cpp:268
#65 0xacd054f4 in KMKernel::wallet (this=0x8b423f8) at /usr/src/debug/kdepim-4.4.7/kmail/kmkernel.cpp:2497
#66 0xacc7f49d in KMail::NetworkAccount::readPassword (this=0x8f49760) at /usr/src/debug/kdepim-4.4.7/kmail/networkaccount.cpp:328
#67 0xacc7fdc5 in KMail::NetworkAccount::readConfig (this=0x8f49760, config=...) at /usr/src/debug/kdepim-4.4.7/kmail/networkaccount.cpp:170
#68 0xacce928d in KMail::PopAccount::readConfig (this=0x8f49760, config=...) at /usr/src/debug/kdepim-4.4.7/kmail/popaccount.cpp:208
#69 0xacc261f1 in KMail::AccountManager::readConfig (this=0x8f52ac0) at /usr/src/debug/kdepim-4.4.7/kmail/accountmanager.cpp:131
#70 0xacd0e1cc in KMKernel::init (this=0x8b423f8) at /usr/src/debug/kdepim-4.4.7/kmail/kmkernel.cpp:1542
#71 0xaebf3bc3 in KMailPart::KMailPart (this=0x8a98890, parentWidget=0x8075b28, parent=0x6f0072, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>)
    at /usr/src/debug/kdepim-4.4.7/kmail/kmail_part.cpp:73
#72 0xaebf51f4 in KPluginFactory::createPartInstance<KMailPart> (parentWidget=0x8075b28, parent=0x8075b28, args=...) at /usr/include/kpluginfactory.h:467
#73 0xb6e93bf0 in KPluginFactory::create (this=0x8a84f98, iface=0xb5ded6e0 "KParts::ReadOnlyPart", parentWidget=0x8075b28, parent=0x8075b28, args=..., keyword=...)
    at /usr/src/debug/kdelibs-4.5.2/kdecore/util/kpluginfactory.cpp:191
#74 0xb75b3d06 in create<KParts::ReadOnlyPart> (this=0x8075b28, libname=0x8465f70 "\310\372H\b,A6\b\264U\362\b\204\002\031\b(") at /usr/include/kpluginfactory.h:491
#75 KontactInterface::Core::createPart (this=0x8075b28, libname=0x8465f70 "\310\372H\b,A6\b\264U\362\b\204\002\031\b(") at /usr/src/debug/kdepimlibs-4.5.2/kontactinterface/core.cpp:87
#76 0xb75b4217 in KontactInterface::Plugin::loadPart (this=0x847f460) at /usr/src/debug/kdepimlibs-4.5.2/kontactinterface/plugin.cpp:152
#77 0xae8da8ea in KMailPlugin::createPart (this=0x847f460) at /usr/src/debug/kdepim-4.4.7/kontact/plugins/kmail/kmail_plugin.cpp:179
#78 0xb75b3110 in KontactInterface::Plugin::part (this=0x847f460) at /usr/src/debug/kdepimlibs-4.5.2/kontactinterface/plugin.cpp:191
#79 0xae8dc123 in KMailUniqueAppHandler::newInstance (this=0x8362520) at /usr/src/debug/kdepim-4.4.7/kontact/plugins/kmail/kmail_plugin.cpp:216
#80 0xb75b135d in KontactInterface::UniqueAppHandler::newInstance (this=0x8362520, asn_id=..., args=...) at /usr/src/debug/kdepimlibs-4.5.2/kontactinterface/uniqueapphandler.cpp:129
#81 0xb75b321c in KontactInterface::UniqueAppHandler::qt_metacall (this=0x8362520, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfd05f4c)
    at /usr/src/debug/kdepimlibs-4.5.2/build/kontactinterface/uniqueapphandler.moc:79
#82 0xb53fda37 in QDBusConnectionPrivate::deliverCall (this=0x806dce0, object=0x8362520, msg=..., metaTypes=..., slotIdx=7274610) at qdbusintegrator.cpp:904
#83 0xb53ffbe7 in QDBusConnectionPrivate::activateCall (this=0x806dce0, object=0x8362520, flags=272, msg=...) at qdbusintegrator.cpp:809
#84 0xb5400378 in QDBusConnectionPrivate::activateObject (this=0x806dce0, node=..., msg=..., pathStartPos=21) at qdbusintegrator.cpp:1383
#85 0xb5400878 in QDBusActivateObjectEvent::placeMetaCall (this=0x8a966d0) at qdbusintegrator.cpp:1477
#86 0xb6c5393f in QObject::event (this=0x8362520, e=0x8a966d0) at kernel/qobject.cpp:1248
#87 0xb6195c64 in QApplicationPrivate::notify_helper (this=0x8076dc0, receiver=0x8362520, e=0x8a966d0) at kernel/qapplication.cpp:4302
#88 0xb619dbf7 in QApplication::notify (this=0xbfd068f4, receiver=0x8362520, e=0x8a966d0) at kernel/qapplication.cpp:3706
#89 0xb7124941 in KApplication::notify (this=0xbfd068f4, receiver=0x8362520, event=0x8a966d0) at /usr/src/debug/kdelibs-4.5.2/kdeui/kernel/kapplication.cpp:310
#90 0xb6c40e0e in QCoreApplication::notifyInternal (this=0xbfd068f4, receiver=0x8362520, event=0x8a966d0) at kernel/qcoreapplication.cpp:726
#91 0xb6c449b4 in sendEvent (receiver=0x0, event_type=0, data=0x8053380) at kernel/qcoreapplication.h:215
#92 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8053380) at kernel/qcoreapplication.cpp:1367
#93 0xb6c44b9c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1260
#94 0xb6c6c83d in sendPostedEvents (s=0x807c510) at kernel/qcoreapplication.h:220
#95 postEventSourceDispatch (s=0x807c510) at kernel/qeventdispatcher_glib.cpp:276
#96 0xb400bb49 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#97 0xb400c350 in ?? () from /usr/lib/libglib-2.0.so.0
#98 0xb400c60e in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#99 0xb6c6cd4b in QEventDispatcherGlib::processEvents (this=0x8056b50, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#100 0xb624619a in QGuiEventDispatcherGlib::processEvents (this=0x8056b50, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#101 0xb6c4011d in QEventLoop::processEvents (this=0xbfd06854, flags=...) at kernel/qeventloop.cpp:149
#102 0xb6c40319 in QEventLoop::exec (this=0xbfd06854, flags=...) at kernel/qeventloop.cpp:201
#103 0xb6c44c70 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#104 0xb6193164 in QApplication::exec () at kernel/qapplication.cpp:3581
#105 0x0804b813 in main (argc=) at /usr/src/debug/kdepim-4.4.7/kontact/src/main.cpp:224

Reported using DrKonqi
Comment 1 Denis Kurz 2016-09-24 19:24:35 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kontact (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 2 Denis Kurz 2017-01-07 22:09:41 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.